Problems installing rails on OSX

Help out a poor dumb Pythonista who’s trying to give rails a try.

I’m running OSX 10.3.9. I followed the directions at
http://www.rubyonrails.org/down and
installed from source ruby 1.8.4. OSX came with ruby 1.6.8
pre-installed in /usr/bin. I
moved that to /usr/bin/ruby-1.6.8 and make /usr/bin/ruby a symlink to
/usr/local/bin/ruby.
All of this went well:

Roy-Smiths-Computer:rubygems-0.9.0$ ruby --version
ruby 1.8.4 (2005-12-24) [powerpc-darwin7.9.0]

Then I downloaded RubyGems, which went not so well:

Roy-Smiths-Computer:rubygems-0.9.0$ gem --version
/usr/local/lib/ruby/site_ruby/1.8/rubygems/cmd_manager.rb:52:in
initialize': uninitialized constant Gem::CommandManager::HelpCommand (NameError) from /usr/local/lib/ruby/site_ruby/1.8/rubygems/cmd_manager.rb:46:ininstance’
from
/usr/local/lib/ruby/site_ruby/1.8/rubygems/gem_runner.rb:25:in `run’
from /usr/local/bin/gem:23

Any hints what I might have done wrong, or where to start looking?

Roy S. [email protected] wrote:

Help out a poor dumb Pythonista who’s trying to give rails a try.

While you’re sorting things out, I suggest Locomotive:

http://locomotive.raaum.org/

It includes everything you need - ruby, needed gems, everything. No
installation required, doesn’t interfere with your stock ruby, because
it’s all contained inside the bundle. Brilliant. Plug, play. m.

Roy S. wrote:

Help out a poor dumb Pythonista who’s trying to give rails a try.

while i cant help you with that I had no problems with hivelogics
guidlines:

http://hivelogic.com/articles/2005/12/01/ruby_rails_lighttpd_mysql_tiger


Jonas H.
www : http://www.Jonas-Hartmann.com
eMail : [email protected]
icq : 13971744
skype : ionas82
home : +49 (0)6071 2 79 45 97 (AB)
mobile : +49 (0)160 99 2 44 679 (SMS)

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs